### Method

# CM Client can_connect

#### Declaration [src]

    gboolean
    cm_client_can_connect (
      CmClient* self
    )

#### Description [src]

Check if `self` can be connected to homeserver with current network state. This function is a bit dumb: returning `TRUE` shall not ensure that the `self` is connectable. But if `FALSE` is returned, `self` shall not be able to connect.

#### Return value

Type: `gboolean`

`TRUE` if heuristics says `self` can be connected. `FALSE` otherwise.